org.springframework.batch.core.listener

## Class MethodInvokerMethodInterceptor

- java.lang.Object
- - org.springframework.batch.core.listener.MethodInvokerMethodInterceptor

- All Implemented Interfaces:
    org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

      public class MethodInvokerMethodInterceptor
      extends java.lang.Object
      implements org.aopalliance.intercept.MethodInterceptor

  `MethodInterceptor` that, given a map of method names and `MethodInvoker`s, will execute all methods tied to a particular method name, with the provided arguments. The only possible return value that is handled is of type ExitStatus, since the only StepListener implementation that isn't void is `StepExecutionListener.afterStep(org.springframework.batch.core.StepExecution)` , which returns ExitStatus.
  Since:
    2.0
  Author:
    Lucas Ward
  See Also:
    `MethodInvoker`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodInvokerMethodInterceptor(java.util.Map<java.lang.String,java.util.Set<MethodInvoker>> invokerMap)`
    `MethodInvokerMethodInterceptor(java.util.Map<java.lang.String,java.util.Set<MethodInvoker>> invokerMap, boolean ordered)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodInvokerMethodInterceptor

          public MethodInvokerMethodInterceptor(java.util.Map<java.lang.String,java.util.Set<MethodInvoker>> invokerMap)

    - #### MethodInvokerMethodInterceptor

          public MethodInvokerMethodInterceptor(java.util.Map<java.lang.String,java.util.Set<MethodInvoker>> invokerMap,
                                                boolean ordered)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
      Throws:
        `java.lang.Throwable`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`